$(() => {
const listWidget = $('#simpleList').dxList({
dataSource: new DevExpress.data.DataSource({
store: new DevExpress.data.ArrayStore({
key: 'id',
data: tasks,
}),
}),
height: 400,
showSelectionControls: true,
selectionMode: 'all',
selectByClick: false,
onSelectionChanged() {
$('#selectedItemKeys').text(listWidget.option('selectedItemKeys').join(', '));
},
}).dxList('instance');
$('#selectionMode').dxSelectBox({
value: 'all',
items: ['none', 'single', 'multiple', 'all'],
inputAttr: { 'aria-label': 'Selection Mode' },
onValueChanged(data) {
listWidget.option('selectionMode', data.value);
selectAllModeChooser.option('disabled', data.value !== 'all');
if (data.value === 'none') {
$('#selectedItemKeys').text('');
}
},
});
const selectAllModeChooser = $('#selectAllMode').dxSelectBox({
disabled: false,
items: ['page', 'allPages'],
value: 'page',
inputAttr: { 'aria-label': 'Select All Mode' },
onValueChanged(data) {
listWidget.option('selectAllMode', data.value);
},
}).dxSelectBox('instance');
$('#selectByClick').dxCheckBox({
value: false,
elementAttr: { 'aria-label': 'Selection By Click' },
onValueChanged(e) {
listWidget.option('selectByClick', e.value);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.6/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/23.1.6/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="list-demo">
<div class="widget-container">
<div id="simpleList"></div>
<div class="selected-data">
<span class="caption">Selected IDs: </span>
<span id="selectedItemKeys"></span>
</div>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Selection Mode</span>
<div id="selectionMode"></div>
</div>
<div class="option">
<span>Select All Mode</span>
<div id="selectAllMode"></div>
</div>
<div class="option">
<span>Select By Click</span>
<div id="selectByClick"></div>
</div>
</div>
</div>
</div>
</body>
</html>
.selected-data,
.options {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.selected-data .caption {
font-weight: bold;
font-size: 115%;
}
.options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
width: 120px;
display: inline-block;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
width: 100%;
max-width: 350px;
}
const tasks = [{ id: 1, text: 'Prepare 2016 Financial' },
{ id: 2, text: 'Prepare 2016 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' },
{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2016 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2012 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2012 Sales Report and Approve 2016 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2016 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Omissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' },
{ id: 31, text: 'Customer Feedback Report Analysis' },
{ id: 32, text: 'Prepare Shipping Cost Analysis Report' },
{ id: 33, text: 'Complete Shipper Selection Form' },
{ id: 34, text: 'Upgrade Server Hardware' },
{ id: 35, text: 'Upgrade Personal Computers' },
{ id: 36, text: 'Approve Personal Computer Upgrade Plan' },
{ id: 37, text: 'Estimate Time Required to Touch-Enable Apps' },
{ id: 38, text: 'Report on Tranistion to Touch-Based Apps' },
{ id: 39, text: 'Try New Touch-Enabled WinForms Apps' },
{ id: 40, text: 'Site Up-Time Report' },
{ id: 41, text: 'Review Site Up-Time Report' },
{ id: 42, text: 'Review Online Sales Report' },
{ id: 43, text: 'Determine New Online Marketing Strategy' },
{ id: 44, text: 'Submit New Website Design' },
{ id: 45, text: 'Create Icons for Website' },
{ id: 46, text: 'Review PSDs for New Website' },
{ id: 47, text: 'Create New Shopping Cart' },
{ id: 48, text: 'Launch New Website' },
{ id: 49, text: 'Update Customer Shipping Profiles' },
{ id: 50, text: 'Create New Shipping Return Labels' }];

<template>
<div id="list-demo">
<div class="widget-container">
<DxList
v-model:selected-item-keys="selectedItemKeys"
:data-source="dataSource"
:height="400"
:show-selection-controls="true"
:selection-mode="selectionMode"
:select-all-mode="selectAllMode"
:select-by-click="selectByClick"
/>
<div class="selected-data">
<span class="caption">Selected IDs: </span>
<span>{{ selectedItemKeys.join(", ") }}</span>
</div>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Selection Mode </span>
<DxSelectBox
v-model:value="selectionMode"
:items="['none', 'single', 'multiple', 'all']"
:input-attr="{ 'aria-label': 'Selection Mode' }"
/>
</div>
<div class="option">
<span>Select All Mode </span>
<DxSelectBox
v-model:value="selectAllMode"
:disabled="selectionMode !== 'all'"
:input-attr="{ 'aria-label': 'Select All Mode' }"
:items="['page', 'allPages']"
/>
</div>
<div class="option">
<span>Select By Click</span>
<DxCheckBox
v-model:value="selectByClick"
:element-attr="{ 'aria-label': 'Selection By Click' }"
/>
</div>
</div>
</div>
</template>
<script>
import DxSelectBox from 'devextreme-vue/select-box';
import DxList from 'devextreme-vue/list';
import DxCheckBox from 'devextreme-vue/check-box';
import ArrayStore from 'devextreme/data/array_store';
import { tasks } from './data.js';
export default {
components: {
DxSelectBox,
DxList,
DxCheckBox,
},
data() {
return {
dataSource: new ArrayStore({
key: 'id',
data: tasks,
}),
selectedItemKeys: [],
selectionMode: 'all',
selectAllMode: 'page',
selectByClick: false,
};
},
};
</script>
<style>
.selected-data,
.options {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.selected-data .caption {
font-weight: bold;
font-size: 115%;
}
.options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
width: 124px;
display: inline-block;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
width: 100%;
max-width: 350px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const tasks = [{ id: 1, text: 'Prepare 2016 Financial' },
{ id: 2, text: 'Prepare 2016 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' },
{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2016 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2012 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2012 Sales Report and Approve 2016 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2016 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Omissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' },
{ id: 31, text: 'Customer Feedback Report Analysis' },
{ id: 32, text: 'Prepare Shipping Cost Analysis Report' },
{ id: 33, text: 'Complete Shipper Selection Form' },
{ id: 34, text: 'Upgrade Server Hardware' },
{ id: 35, text: 'Upgrade Personal Computers' },
{ id: 36, text: 'Approve Personal Computer Upgrade Plan' },
{ id: 37, text: 'Estimate Time Required to Touch-Enable Apps' },
{ id: 38, text: 'Report on Tranistion to Touch-Based Apps' },
{ id: 39, text: 'Try New Touch-Enabled WinForms Apps' },
{ id: 40, text: 'Site Up-Time Report' },
{ id: 41, text: 'Review Site Up-Time Report' },
{ id: 42, text: 'Review Online Sales Report' },
{ id: 43, text: 'Determine New Online Marketing Strategy' },
{ id: 44, text: 'Submit New Website Design' },
{ id: 45, text: 'Create Icons for Website' },
{ id: 46, text: 'Review PSDs for New Website' },
{ id: 47, text: 'Create New Shopping Cart' },
{ id: 48, text: 'Launch New Website' },
{ id: 49, text: 'Update Customer Shipping Profiles' },
{ id: 50, text: 'Create New Shipping Return Labels' }];
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import SelectBox from 'devextreme-react/select-box';
import List from 'devextreme-react/list';
import CheckBox from 'devextreme-react/check-box';
import ArrayStore from 'devextreme/data/array_store';
import {
tasks,
selectAllModeLabel,
selectionModeLabel,
selectByClickLabel,
} from './data.js';
const dataSource = new ArrayStore({
key: 'id',
data: tasks,
});
const selectionModes = ['none', 'single', 'multiple', 'all'];
const selectAllModes = ['page', 'allPages'];
export default function App() {
const [selectionMode, setSelectionMode] = React.useState('all');
const [selectAllMode, setSelectAllMode] = React.useState('page');
const [selectByClick, setSelectByClick] = React.useState(false);
const [selectedItemKeys, setSelectedItemKeys] = React.useState([]);
const onSelectedItemKeysChange = React.useCallback(({ name, value }) => {
if (name === 'selectedItemKeys') {
if (selectionMode !== 'none' || selectedItemKeys.length !== 0) {
setSelectedItemKeys(value);
}
}
}, [selectionMode, selectedItemKeys, setSelectedItemKeys]);
const onSelectionModeChange = React.useCallback((value) => {
setSelectionMode(value);
}, [setSelectionMode]);
const onSelectAllModeChange = React.useCallback((value) => {
setSelectAllMode(value);
}, [setSelectAllMode]);
const onSelectByClickChange = React.useCallback((value) => {
setSelectByClick(value);
}, [setSelectByClick]);
return (
<React.Fragment>
<div className="widget-container">
<List
dataSource={dataSource}
height={400}
showSelectionControls={true}
selectionMode={selectionMode}
selectAllMode={selectAllMode}
selectedItemKeys={selectedItemKeys}
selectByClick={selectByClick}
onOptionChanged={onSelectedItemKeysChange}>
</List>
<div className="selected-data">
<span className="caption">Selected IDs: </span>
<span>{ selectedItemKeys.join(', ') }</span>
</div>
</div>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Selection Mode</span>
<SelectBox
items={selectionModes}
inputAttr={selectionModeLabel}
value={selectionMode}
onValueChange={onSelectionModeChange}>
</SelectBox>
</div>
<div className="option">
<span>Select All Mode</span>
<SelectBox
disabled={selectionMode !== 'all'}
items={selectAllModes}
inputAttr={selectAllModeLabel}
value={selectAllMode}
onValueChange={onSelectAllModeChange}>
</SelectBox>
</div>
<div className="option">
<span>Select By Click</span>
<CheckBox
value={selectByClick}
elementAttr={selectByClickLabel}
onValueChange={onSelectByClickChange}>
</CheckBox>
</div>
</div>
</React.Fragment>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.selected-data,
.options {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
.selected-data .caption {
font-weight: bold;
font-size: 115%;
}
.options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
width: 120px;
display: inline-block;
}
.option > .dx-widget {
display: inline-block;
vertical-align: middle;
width: 100%;
max-width: 350px;
}
export const tasks = [{ id: 1, text: 'Prepare 2016 Financial' },
{ id: 2, text: 'Prepare 2016 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' },
{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2016 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2012 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2012 Sales Report and Approve 2016 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2016 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Omissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' },
{ id: 31, text: 'Customer Feedback Report Analysis' },
{ id: 32, text: 'Prepare Shipping Cost Analysis Report' },
{ id: 33, text: 'Complete Shipper Selection Form' },
{ id: 34, text: 'Upgrade Server Hardware' },
{ id: 35, text: 'Upgrade Personal Computers' },
{ id: 36, text: 'Approve Personal Computer Upgrade Plan' },
{ id: 37, text: 'Estimate Time Required to Touch-Enable Apps' },
{ id: 38, text: 'Report on Tranistion to Touch-Based Apps' },
{ id: 39, text: 'Try New Touch-Enabled WinForms Apps' },
{ id: 40, text: 'Site Up-Time Report' },
{ id: 41, text: 'Review Site Up-Time Report' },
{ id: 42, text: 'Review Online Sales Report' },
{ id: 43, text: 'Determine New Online Marketing Strategy' },
{ id: 44, text: 'Submit New Website Design' },
{ id: 45, text: 'Create Icons for Website' },
{ id: 46, text: 'Review PSDs for New Website' },
{ id: 47, text: 'Create New Shopping Cart' },
{ id: 48, text: 'Launch New Website' },
{ id: 49, text: 'Update Customer Shipping Profiles' },
{ id: 50, text: 'Create New Shipping Return Labels' }];
export const selectionModeLabel = { 'aria-label': 'Selection Mode' };
export const selectAllModeLabel = { 'aria-label': 'Select All Mode' };
export const selectByClickLabel = { 'aria-label': 'Select By Click' };
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<div id="list-demo">
<div class="widget-container">
<dx-list
#list
[dataSource]="tasks"
[height]="400"
[selectionMode]="selectionModeValue"
[selectAllMode]="selectAllModeValue"
[showSelectionControls]="true"
[selectedItemKeys]="[]"
[selectByClick]="selectByClick"
></dx-list>
<div class="selected-data">
<span class="caption">Selected IDs: </span>
<span>{{ list.selectedItemKeys.join(", ") }}</span>
</div>
</div>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Selection Mode</span>
<dx-select-box
[items]="['none', 'single', 'multiple', 'all']"
[(value)]="selectionModeValue"
[inputAttr]="{ 'aria-label': 'Selection Mode' }"
>
</dx-select-box>
</div>
<div class="option">
<span>Select All Mode</span>
<dx-select-box
[disabled]="selectionModeValue !== 'all'"
[items]="['page', 'allPages']"
[inputAttr]="{ 'aria-label': 'Select All Mode' }"
[(value)]="selectAllModeValue"
>
</dx-select-box>
</div>
<div class="option">
<span>Select By Click</span>
<dx-check-box
[elementAttr]="{ 'aria-label': 'Selection By Click' }"
[(value)]="selectByClick"
></dx-check-box>
</div>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import DataSource from 'devextreme/data/data_source';
import ArrayStore from 'devextreme/data/array_store';
import { DxSelectBoxModule, DxCheckBoxModule } from 'devextreme-angular';
import { SingleMultipleAllOrNone } from 'devextreme-angular/common';
import { DxListModule, DxListTypes } from 'devextreme-angular/ui/list';
import { Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
preserveWhitespaces: true,
})
export class AppComponent {
tasks: DataSource;
selectAllModeValue: DxListTypes.SelectAllMode = 'page';
selectionModeValue: SingleMultipleAllOrNone = 'all';
selectByClick = false;
constructor(service: Service) {
this.tasks = new DataSource({
store: new ArrayStore({
key: 'id',
data: service.getTasks(),
}),
});
}
}
@NgModule({
imports: [
BrowserModule,
DxSelectBoxModule,
DxListModule,
DxCheckBoxModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .selected-data,
.options {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
}
::ng-deep .selected-data .caption {
font-weight: bold;
font-size: 115%;
}
::ng-deep .options .caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.option > span {
width: 120px;
display: inline-block;
}
::ng-deep .option > .dx-widget {
display: inline-block;
vertical-align: middle;
width: 100%;
max-width: 350px;
}
import { Injectable } from '@angular/core';
export class Task {
id: number;
text: string;
}
const tasks: Task[] = [
{ id: 1, text: 'Prepare 2016 Financial' },
{ id: 2, text: 'Prepare 2016 Marketing Plan' },
{ id: 3, text: 'Update Personnel Files' },
{ id: 4, text: 'Review Health Insurance Options Under the Affordable Care Act' },
{ id: 5, text: 'New Brochures' },
{ id: 6, text: '2016 Brochure Designs' },
{ id: 7, text: 'Brochure Design Review' },
{ id: 8, text: 'Website Re-Design Plan' },
{ id: 9, text: 'Rollout of New Website and Marketing Brochures' },
{ id: 10, text: 'Create 2012 Sales Report' },
{ id: 11, text: 'Direct vs Online Sales Comparison Report' },
{ id: 12, text: 'Review 2012 Sales Report and Approve 2016 Plans' },
{ id: 13, text: 'Submit Signed NDA' },
{ id: 14, text: 'Update Revenue Projections' },
{ id: 15, text: 'Review Revenue Projections' },
{ id: 16, text: 'Comment on Revenue Projections' },
{ id: 17, text: 'Scan Health Insurance Forms' },
{ id: 18, text: 'Sign Health Insurance Forms' },
{ id: 19, text: 'Follow up with West Coast Stores' },
{ id: 20, text: 'Follow up with East Coast Stores' },
{ id: 21, text: 'Submit Refund Report for 2016 Recall' },
{ id: 22, text: 'Give Final Approval for Refunds' },
{ id: 23, text: 'Prepare Product Recall Report' },
{ id: 24, text: 'Review Product Recall Report by Engineering Team' },
{ id: 25, text: 'Review Training Course for any Omissions' },
{ id: 26, text: 'Review Overtime Report' },
{ id: 27, text: 'Submit Overtime Request Forms' },
{ id: 28, text: 'Overtime Approval Guidelines' },
{ id: 29, text: 'Create Report on Customer Feedback' },
{ id: 30, text: 'Review Customer Feedback Report' },
{ id: 31, text: 'Customer Feedback Report Analysis' },
{ id: 32, text: 'Prepare Shipping Cost Analysis Report' },
{ id: 33, text: 'Complete Shipper Selection Form' },
{ id: 34, text: 'Upgrade Server Hardware' },
{ id: 35, text: 'Upgrade Personal Computers' },
{ id: 36, text: 'Approve Personal Computer Upgrade Plan' },
{ id: 37, text: 'Estimate Time Required to Touch-Enable Apps' },
{ id: 38, text: 'Report on Tranistion to Touch-Based Apps' },
{ id: 39, text: 'Try New Touch-Enabled WinForms Apps' },
{ id: 40, text: 'Site Up-Time Report' },
{ id: 41, text: 'Review Site Up-Time Report' },
{ id: 42, text: 'Review Online Sales Report' },
{ id: 43, text: 'Determine New Online Marketing Strategy' },
{ id: 44, text: 'Submit New Website Design' },
{ id: 45, text: 'Create Icons for Website' },
{ id: 46, text: 'Review PSDs for New Website' },
{ id: 47, text: 'Create New Shopping Cart' },
{ id: 48, text: 'Launch New Website' },
{ id: 49, text: 'Update Customer Shipping Profiles' },
{ id: 50, text: 'Create New Shipping Return Labels' },
];
@Injectable()
export class Service {
getTasks(): Task[] {
return tasks;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'devextreme/bundles/dx.all': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/bundles/dx.all.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.5',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.54',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.5/package.json',
'npm:devexpress-gantt@4.1.54/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.3/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>